from graphics import *

def draw_bar_graph(data):
    win = GraphWin("Bar Graph", 800, 600)
    win.setBackground("white")

    # Define graph coordinates
    x_axis_start = Point(50, 550)
    x_axis_end = Point(750, 550)
    y_axis_start = Point(50, 550)
    y_axis_end = Point(50, 50)

    # Draw axes
    Line(x_axis_start, x_axis_end).draw(win)
    Line(y_axis_start, y_axis_end).draw(win)

    # Draw bars
    bar_width = 50
    for i, value in enumerate(data):
        bar_height = value * 5
        x1, y1 = 75 + 100 * i, 550
        x2, y2 = 75 + 100 * i + bar_width, 550 - bar_height
        Rectangle(Point(x1, y1), Point(x2, y2)).draw(win)
        Text(Point(x1 + bar_width / 2, y1 + 10), str(value)).draw(win)

    win.getMouse()
    win.close()

# Example dataset
data_set = [10, 20, 30, 40, 50, 60, 70]

draw_bar_graph(data_set)
